Skip to content

GET /v1/ping

Health check endpoint used to confirm that the Xref API is available.

Request

GET /v1/ping HTTP/1.1
Host: api.xref.com
Property Value
Authentication Not required. This is the only endpoint that bypasses both auth and throttling.
Headers None required.
Body None.

Response

200 OK

{
  "data": { "status": "ok" },
  "status_message": "ok",
  "message": ""
}

A 200 response confirms that the Xref API is available. This endpoint does not check the availability of downstream services or third-party providers.

Example request

curl -i https://api.xref.com/v1/ping
HTTP/1.1 200 OK
Content-Type: application/json

{"data":{"status":"ok"},"status_message":"ok","message":""}

Errors

A non-200 response may indicate that the Xref API is unavailable. See Errors and status codes for details.

Notes

  • Authentication is not required.
  • The endpoint is not subject to rate limits.